Bug Hunting Session
Bug 115009 - A feature request - language and unicode use enhancement
Summary: A feature request - language and unicode use enhancement
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Preview
  Show dependency treegraph
 
Reported: 2018-01-15 00:08 UTC by Sam
Modified: 2018-02-01 19:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam 2018-01-15 00:08:56 UTC
Description:
Hi,

The idea is:

1. Implement two toolbar boxes "choose language or script" (ie. choose unicode range) and a box that says "choose font" that presents all fonts and unicode fonts that support that range
2. Include all “free” unicode fonts in the office app
3. Sort out which fonts and unicode fonts support which unicode ranges to implement suggestion number 1

Thank you.

Actual Results:  
Feature request.

Expected Results:
Feature request.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Heiko Tietze 2018-01-15 17:15:17 UTC
Do you know the new special character dialog? That could be a solution for your request, which by the way is not clear to me as I don't get your use case / scenario what exactly is missing.
Comment 2 Sam 2018-01-15 17:29:08 UTC
The special characters dialog exists but users should not need to peck at characters in that dialog or turn up that dialog. For example, to type in the Arabic script used to type Kurdish, the user should just select Arabic-Kurdish or Kurdish-Arabic (I suggest both being put in) and then select from the number of fonts and Unicode fonts that support the Kurdish variant of Arabic script.
Comment 3 Heiko Tietze 2018-01-16 08:15:18 UTC
Can you provide an example? What I understand is that you request a way to enter Greek letters alpha, beta, gamma... on a Latin keyboard - or Kurdish/Arab respectively. And when the selected font doesn't contain these unicode characters you want to easily find and select the font that can do.
Comment 4 Sam 2018-01-16 12:23:18 UTC
The keyboard setting belongs to the OS. So the user must select that keyboard first. But then the office app must provide all the fonts and Unicode fonts that support Greek. There are many of them and right now people don't know which ones they are nor does the office app persent them in an organized and clear manner.
Comment 5 Heiko Tietze 2018-01-16 12:30:06 UTC
So your ticket is similar to what has been requested in bug 114764, to prioritize (or the like) fonts with unicodes according the locale? Sorry for insisting on that but you suggested one possible solution for an unclear issue.
Comment 6 Sam 2018-01-16 12:41:58 UTC
I don't understand too much but the idea is that people first select the language and sctipt they want to type in. We can select the default language and script based on the language pack but that's very minor. I think you do understand what the suggestion is. There will be two toolbar boxes related to font instead of one.

Thank you.
Comment 7 Heiko Tietze 2018-01-16 12:54:10 UTC
Okay, to NEW.

I don't support the idea of two dropdown controls (on a very prominent position!) where one dropdown (selection of the language) determines the available items in the second (font containing the unicode). The feature is not relevant for the majority of uses and we better solve locale issues with a generic customization or by more subtile modifications like in bug 114764. In case of special use cases the proper solution is an extension. => WONTFIX is my take
Comment 8 Sam 2018-01-16 13:05:36 UTC
It just allows LibreOffice users to type without installing fonts.
Comment 9 Sam 2018-01-16 13:13:01 UTC
It provides a basic level of support for all languages.
Comment 10 Khaled Hosny 2018-02-01 19:30:34 UTC
WONTFIX 1) & 3) per comment 7. 2) is already tracked elsewhere (and “all” free fonts are probably several GBs of download size, so not going to happen).